% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/prj_medium.R
\name{prj_medium}
\alias{prj_medium}
\title{prj_medium}
\usage{
prj_medium(phases = NULL, properties = NULL, id = NULL)
}
\arguments{
\item{phases}{list, prj_phase: Optional: Medium phases}

\item{properties}{list, prj_pr_property: Optional: Medium properties}

\item{id}{string | double: Optional: ID corresponding to the MaterialIDs}
}
\description{
tag: medium, a specific medium with optional id corresponding
  to the MaterialIDs
}
\examples{
prj_medium(
    phases = list(
        phase = prj_phase(
            type = "Gas",
            properties = list(
                property = prj_ph_property(name = "viscosity",
                                              type = "Constant",
                                              value = 1e-05)
            )
        ),
        phase = prj_phase(
            type = "Solid",
            properties = list(
                property = prj_ph_property(name = "porosity",
                                              type = "Constant",
                                              value = 0.3)
            )
        )
    ),
    properties = list(
        property = prj_pr_property(name = "reference_temperature",
                                      type = "Constant",
                                      value = 293.15)
    )
)
}
